Name:           perl-BDB
Version:        1.83
Release:        2%{?dist}
Summary:        Asynchronous Berkeley DB access

Group:          Development/Libraries
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/BDB/
Source0:        http://search.cpan.org/CPAN/authors/id/M/ML/MLEHMANN/BDB-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  db4-devel
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Asynchronous Berkeley DB access.


%prep
%setup -q -n BDB-%{version}


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type f -name '*.bs' -a -size 0 -exec rm -f {} ';'
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*


%check
make test


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc Changes COPYING README
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/BDB.pm
%{_mandir}/man3/*.3*


%changelog
* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.83-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Feb  3 2009 kwizart < kwizart at gmail.com > - 1.83-1
- Update to 1.83

* Wed Jan  7 2009 kwizart < kwizart at gmail.com > - 1.82-1
- Update to 1.82

* Fri Nov 28 2008 kwizart < kwizart at gmail.com > - 1.81-1
- Update to 1.81

* Thu Jul 17 2008 kwizart < kwizart at gmail.com > - 1.7-1
- Update to 1.7

* Tue May 27 2008 kwizart < kwizart at gmail.com > - 1.5-1
- Update to 1.5

* Wed Apr 30 2008 kwizart < kwizart at gmail.com > - 1.45-1
- Initial package for Fedora
